classification
Title: New methods for existing Tkinter widgets
Type: enhancement Stage:
Components: Tkinter Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, gpolo, loewis, python-dev
Priority: normal Keywords: patch

Created on 2008-05-13 03:16 by gpolo, last changed 2012-03-13 20:41 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
tk8.5_newmeths.py gpolo, 2008-05-13 03:15
tknewmethods.diff asvetlov, 2012-03-13 17:31 review
Messages (5)
msg66768 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-13 03:15
Attached patch adds the following new methods:

Misc: grid_anchor
Menu: xposition
Text: count, peer_create, peer_names, replace
Wm: wm_iconphoto, wm_manage, wm_forget

These are supported by Tk 8.5 and newer.
msg155636 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-13 17:31
Fresh patch for current 3.3 head is attached.
msg155637 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-13 17:45
Martin, please review and move it forward if ok.
msg155660 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-13 20:40
New changeset 71041c0dedd5 by Martin v. Löwis in branch 'default':
Issue #2843: Add new Tk API to Tkinter.
http://hg.python.org/cpython/rev/71041c0dedd5
msg155661 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-03-13 20:41
Thanks both of you for the patches.
History
Date User Action Args
2012-03-13 20:41:16loewissetstatus: open -> closed
resolution: fixed
messages: + msg155661
2012-03-13 20:40:54python-devsetnosy: + python-dev
messages: + msg155660
2012-03-13 17:45:17asvetlovsetnosy: + loewis
messages: + msg155637
2012-03-13 17:31:04asvetlovsetfiles: + tknewmethods.diff
keywords: + patch
messages: + msg155636
2012-03-13 00:57:29asvetlovsetnosy: + asvetlov

versions: + Python 3.3, - Python 3.2
2010-07-10 05:44:06terry.reedysetversions: + Python 3.2, - Python 2.6, Python 3.0
2008-05-13 23:28:45benjamin.petersonsettype: enhancement
2008-05-13 03:16:01gpolocreate